
# Use a categorical transform: the entire string is treated as a category
outModel1 <- rxLogisticRegression(like~reviewCat, data = trainReviews, 
    mlTransforms = list(categorical(vars = c(reviewCat = "review"))))
# Note that 'I hate it' and 'I love it' (the only strings appearing more than once)
# have non-zero weights
summary(outModel1)

# Use the model to score
scoreOutDF1 <- rxPredict(outModel1, data = testReviews, 
    extraVarsToWrite = "review")
scoreOutDF1
