"test.caching.tempFileRemoval" <- function()
{
    # Train the neural net with disk caching and capture the verbose output.
    output <- capture.output(rxNeuralNet(formula = Species~Sepal.Length + Sepal.Width + Petal.Length + Petal.Width,
        data = iris, type = "multi", preTransformCache = 'Disk',verbose = 4))
    
    # Check the output to find the if the temp files were deleted.
    # Pattern: 
    # "Cache file {path_to_the_file} created."
    # "Cache file {path_to_the_file} deleted."
    tempFileCreated = FALSE
    tempFileDictionary = list()

    outputConcatenated <- paste(output, collapse = "")
    matchIndex <- regexpr('Cache\\sfile\\s', outputConcatenated)
    matchLength <- attr(matchIndex, "match.length")
    subOutputConcatenated <- substr(outputConcatenated, matchIndex + matchLength, nchar(outputConcatenated))
    createdIndex <- regexpr(' created.', subOutputConcatenated)
    if (createdIndex > 0) {
        tempFileCreated = TRUE
        path <- substr(subOutputConcatenated, 1, createdIndex - 1)
        tempFileDictionary[path] = TRUE
    }

    deletedIndex <- regexpr(' deleted.', subOutputConcatenated)
    if (deletedIndex > 0) {
        checkTrue(tempFileDictionary[path] == TRUE, paste('temp file', path, 'not found created.'))
        tempFileDictionary[path] = NULL
    }
    
    # Make sure we did create a temp file.
    checkTrue(tempFileCreated, 'No temp file created in the test.')
    
    # Make sure we deleted all temp file.
    checkEquals(0, length(tempFileDictionary), 'Temp files were not deleted after use.')
}
