# Source in demo scripts to make sure they run
# Demos scripts that use external data
# Only run if data is available locally
"test.demoScripts.adult" <- function()
{
    sampleDataDir <- getSampleDataDir(createDir = FALSE)
    # Check to see if xdf files exist
    dataPath <- file.path(sampleDataDir, "adult")
    if (!file.exists(dataPath))
    {
        DEACTIVATED("'adult' sample data not found locally.")
    }
 
    source(system.file("demoScripts/Binary_rxFastTrees_Adult.R", package = "MicrosoftML"))
}

"test.demoScripts.communities" <- function()
{
    sampleDataDir <- getSampleDataDir(createDir = FALSE)
    # Check to see if xdf files exist
    dataPath <- file.path(sampleDataDir, "communities")
    if (!file.exists(dataPath))
    {
        DEACTIVATED("'communities' sample data not found locally.")
    }
    source(system.file("demoScripts/Regression_Communities.R", package = "MicrosoftML"))
}

"test.demoScripts.germanCredit" <- function()
{
    sampleDataDir <- getSampleDataDir(createDir = FALSE)
    # Check to see if xdf files exist
    dataPath <- file.path(sampleDataDir, "germanCredit")
    if (!file.exists(dataPath))
    {
        DEACTIVATED("'germanCredit' sample data not found locally.")
    }
    source(system.file("demoScripts/Anomaly_rxOneClassSvm_GermanCredit.R", package = "MicrosoftML"))    
}

"test.demoScripts.mnist" <- function()
{
    sampleDataDir <- getSampleDataDir(createDir = FALSE)
    # Check to see if xdf files exist
    dataPath <- file.path(sampleDataDir, "mnist")
    if (!file.exists(dataPath))
    {
        DEACTIVATED("'mnist' sample data not found locally.")
    }
    source(system.file("demoScripts/Multi_MNIST.R", package = "MicrosoftML"))
}